Skip to content
English

TODO

POST
/domains/{domainID}/generateDkimKeys
curl --request POST \
--url https://example.com/api/v1/domains/1/generateDkimKeys \
--cookie grommunioAuthJwt=<grommunioAuthJwt>
domainID
required
integer

ID of the domain

type
string

Type of encryption key (rsa/ed25519)

selector
string

Name of the key selector

Dkim keys returned

Media typeapplication/json
string
Examplegenerated
example

Validation of input parameters failed

Media typeapplication/json
object
message
string
errors

List of errors encountered during validation

Array<string>
Examplegenerated
{
"message": "example",
"errors": [
"example"
]
}

The requested resource could not be found

Media typeapplication/json
object
message
string
Examplegenerated
{
"message": "example"
}

An error occurred while processing the request

Media typeapplication/json
object
message

String representation of the exception

string
Examplegenerated
{
"message": "example"
}

The database query failed

Media typeapplication/json
object
message

Description of the error

string
Examplegenerated
{
"message": "example"
}